% Example_2_1.m
% This program calculates e^x by series and by MATLAB's
% exp() function. The 'for' loop ends when the term only
% affects the seventh significant figure.
% Note: e^x = 1 + x + x^2/2! + x^3/3! + x^4/4! + ...
clear; clc;
x=5.0;
s=1.0;
for n=1:100
    term=x^n/factorial(n);
    s=s+term;
    if(abs(term) <= s*1.0e-7)
        break;
    end
end
ex1=s;
ex2=exp(x);
fprintf('x=%3.1f ex1=%8.5f ex2=%8.5f \n',x,ex1,ex2);
