% Example_2_12.m
% This program demonstrates the use of the load command.
% A data file named ydata.txt (created in Example_2_11.m)
% is loaded into this program. Then, variables t,y1,y2,y3
% are extracted from the loaded data and plotted all on
% one graph.
clear; clc;
fprintf('Reading data from ''ydata.txt''\n');
load ydata.txt
t = ydata(:,1);
y1 = ydata(:,2);
y2 = ydata(:,3);
y3 = ydata(:,4);
plot(t,y1,t,y2,'--',t,y3,'-.');
xlabel('t'), ylabel('y1,y2,y3'),
title('y1, y2 and y3 vs. t'), grid;
legend('y1','y2','y3');
