% Example_2_17.m
% This program uses the fscanf command to enter an M by N
% matrix into MATLAB. The M by N matrix is entered in
% column order. Thus, rows become columns and columns
% become rows. The script creates matrices A and B and
% then prints them out to the screen.
% Note: Before running this program, the data file
% data217.txt needs to be created (see data below).
clear; clc;
n=5;
A=zeros(n); B=zeros(5,1);
fin=fopen('data217.txt','r');
[A]=fscanf(fin,'%f ',[n,n]);
fprintf('  Matrix A elements: \n');
A
[B]=fscanf(fin,'%f',[n]);
fclose(fin);
fprintf('\n');
fprintf('  Matrix B elements: \n');
B
fprintf('\n');
fprintf('  Matrix C elements: \n');
C=[A' B]
% Comparing the data217 data file with matrices A and B,
% we see that the data217 data file has been transposed
% (rows become columns and columns become rows).
