% exf1.m (Example 2.4)
% Define a function, 'exf1', that evaluates e^x.
% This function takes 'x' as an input argument and is
% called either from the Command Window or from another
% program. The resulting output, 'ex', is available to
% be used in another program or in the Command Window. 
% In this example, term(n+1) is obtained from term(n)
% by multiplying term(n) by x/n. 
% Note: e^x = 1 + x + x^2/2! + x^3/3! + x^4/4! + ...
function ex = exf1(x) 
term(1)=1.0;
for n=1:99
   term(n+1)=term(n)*x/n;
   if abs(term(n+1)) <= 1.0e-7
      break;
   end
end
ex=sum(term);
