% Example_2_19.m
% This example is a modification of Example 2.18. The
% program asks the user if they want to have the output
% go to the screen or to a file. This example illustrates
% the use of the switch statement.
clear; clc;
char=['Internal modem        '
      'External modem        '
      'Graphics circuit board'
      'CD drive              '
      'Hard disk drive       '];
fprintf('Choose whether to send the output to the\n');
fprintf('screen or to a file named ''output.txt''.\n');
fprintf('\n');
fprintf('Enter ''s'' for screen or ''f'' for file\n');
var = input('(without quotes): ','s');
switch(var)
    case 's'
        for i=1:5
            fprintf('%22s \n',char(i,1:22));
        end
    case 'f'
        fo=fopen('output.txt','w');
        for i=1:5
            fprintf(fo,'%22s \n',char(i,1:22));
        end
        fclose(fo);
    otherwise
        fprintf('You did not enter an ''s'' or an ');
        fprintf('''f'', try again.\n');
end
