% Example_2_28.m
% Read product inventory into a matrix using textscan.
% The file 'inventory228.txt' is listed below.
clc; clear;
fid=fopen('inventory228.txt');
C = textscan(fid,'%d  %q  %f' );
% Need to designate contents in cell C{2} as characters.
sku = C{1};
desc = char(C{2});
cost = C{3};
count = length(sku);
fprintf(' sku#  description         cost    \n');
fprintf('-----------------------------------\n');
for i=1:count
    fprintf('%4i   %14s    %6.2f    \n\n', ...
        sku(i), desc(i,1:14), cost(i));
end
fclose(fid);
