% Example_2_9.m
% This program demonstrates the use of sprintf command
% to pass formatted data to ylabel and title in a graph.
% The subplot command is also demonstrated.
clear; clc;
% Define the data to plot
x = -10:2:10;
m = 2:5;
b = [1 10 100 1000];
% Create table and plot
for i=1:4
    fprintf('m = %i \n',m(i));
    % print table headings
    fprintf('x yc \n');
    fprintf('----------------------\n');
    % (x to power m(i)) divided by b(i)
    for j=1:length(x)
        yc(j) = x(j)^ m(i) / b(i);
        fprintf('%5.0f %8.2f \n',x(j),yc(j));
    end
    fprintf('\n\n');
    % plot
    subplot(2,2,i);
    plot(x,yc);
    xlabel('x');
    ylabel(sprintf('(x to power %d) / %.0f',m(i),b(i)));
    grid, title(sprintf('m = %d, b = %d',m(i),b(i)));
end
